更新日志
===========

1.5.0
------------------------
2019年5月29日

**新增功能**

* 支持启用MFA的管理员查看资产用户密码
* 可自定义创建用户时发送创建用户成功的邮件内容
* 创建用户时，可选择用户密码设置策略(可解决客户没有邮件系统的场景)
* (用户/用户组/资产/管理用户/系统用户)资源支持使用csv文件类型进行导入、导出、更新操作
* LDAP支持SSL (pem路径 jumpserver/data/certs/ldap_ca.pem)
* 支持Option方法请求API获取对应其他HTTP方法的所需的字段说明
* 支持RemoteApp

**功能优化**

* 创建资产时允许ip字段填写为host地址
* OpenID Middleware去掉输出日志
* 资产节点API添加search功能
* 解决ldap映射is_active等字段为bool值的问题(可解决LDAP禁用用户后，同时禁止用户登录Jumpserver的场景)

**Bug修复**

* 修复LDAP不能导入用户名中包含空格的用户
* 修复LDAP可导入跨页面选取的所有用户
* 修复资产用户管理器获取用户名为""的对象时返回多个结果的bug

1.4.10
------------------------
2019年4月30日

**新增功能**

* 新增权限控制：可分别对连接、上传、下载等动作单独授权；

**功能优化**

* 权限优化：组织管理员不允许对超级管理员进行操作；
* Luna优化：Luna搜索功能优化；

**Bug修复**

* 修复通过API批量更新用户的bug
* 修复luna页面刷新不跳转OpeID认证的bug
* 修复创建azure类型的录像存储时前端的bug
* 修复其他前端页面bug
* 修复录像上传到Azure的bug

1.4.9
------------------------
2019年3月26日

**Bug修复**

* 修复创建定时任务时的时区问题
* 修复celery日志可能操作关闭文件的bug
* 修复一些设置缓存的问题
* 修复用户token过期的时间策略
* 修复第一次登录跳转组织页面的bug

**优化**

* sudo命令添加帮助说明，并兼容换行形式
* 认证逻辑，从users模块中移动到authentication
* 合并一些migrations
* 任务列表去掉日期
* docker build升级Mysql client版本
* coco,guacamole上传完录像上报api, 页面上如果没有录像则播放按钮是禁用的

**功能**

* 定时清理登陆日志
* 用户授权增加两层缓存，授权资产数量很大时也不怕了
* 资产模块添加资产用户管理器，可以为资产单独设置 管理用户、系统用户的密码
* 登陆日志的导出
* 数据库支持ssl
* ldap用户一键导入

**coco**

* 使用网关同样添加心跳信息
* 用户授权资产列表增加缓存
* 修复一些sftp的小bug
* 修复上传命令记录decode的错误
* 支持系统用户在不同机器上密码不一致的场景

**luna**

* 支持左侧列表缓存

1.4.8
------------------------
2019年2月22日

* 修复command filter 不记录操作日志的问题
* LDAP支持无密码
* 录像上传设置中去掉了ceph, s3兼容cepht
* gunicorn日志切割
* telnet支持在设置中修改成功的正则表达式
* 修复session 10分钟后不在线的问题

1.4.7
------------------------
2019年1月29日

* 支持 radius认证
* 统一生成coco的host key, 这样部署多个coco也不需要再复制 Host key
* 权限列表增加详细过滤
* 更改配置文件类型为 yml格式
* 修改心跳方式
* 优化任务执行的日志记录方式
* 修复节点右击测试连接资产为节点下所有资产, 而不是直接资产
* sftp支持修改home目录, 支持不显示隐藏文件
* 修复luna隐藏侧边栏的bug
* luna支持直接登录到某个资产

1.4.6
------------------------
2018年12月19日

* 推送资产上已存在的系统用户会覆盖该用户的home目录权限
* 会话日志可以定时清理, 保证硬盘够用
* coco里 p可以自定义是否分页了
* 优化树形结构, 不怕资产太多了
* 其他bug

1.4.5
------------------------
2018年12月12日

* 统一维护migrations数据库表结构变更
* 系统配置内容支持热加载, 不用再重启 jumpserver
* coco, guacamole注册机制更改, 使用预共享秘钥自动注册, 不再需要接受注册
* 用户密码过期时间设置
* ldap不可以修改密码
* 默认组织里可以看到所有用户
* 日志审计修改密码日志中只能看到当前组织用户的更改
* luna列表回滚为原来方式, 不再是异步加载
* rdp支持分辨率更改

1.4.4
------------------------
2018年11月11日

* 录像存储设置, 使用表单来填写
* 支持luna异步加载
* 各列表统一使用分页
* 授权时间精确到分钟
* 支持openid认证

1.4.3
------------------------
2018年10月12日

* 支持命令过滤

1.4.2
------------------------
2018年10月8日

* 支持web sftp, 支持跨资产复制粘贴文件
* 优化一些内容

1.4.1
------------------------
2018年9月4日

* 系统设置支持加密存储
* 单独推送系统用户到某个资产
* 支持了用户改密日志和操作日志
* 翻译更加完善, 支持切换语言
* 不记录zmodem信息
* 支持空闲间隔自动断开
* 修复session无法中断问题
* 增加ssh用户黑名单和白名单
* luna支持搜索支持IP
* 优化一些内容

1.4.0
------------------------
2018年8月7日

* 超级管理员创建组织, 为改组织添加管理员, 管理员可以负责该组织下 用户、资产、授权等管理
* Sftp显示同名资产为 主机名.组织
* Luna支持根据IP搜索
* 鼠标悬停可以显示主机ip
* 其他bug修复等

1.3.3
------------------------
2018年7月17日

* 支持telnet协议
* 支持用户手动输入密码登陆, 密码不用托管到Jumpserver
* 登陆日志增加失败原因
* session增加登陆源
* 修复网关端口和密码bug
* 添加用户登陆失败次数限制

1.3.2
------------------------
2018年6月11日

* 可以在系统设置中指定密码强度, 包含大小写字母特殊字符长度等
* 可以全局开启MFA
* 修改EMAIL不需要重启
* 设置公钥交互改变
* 修改一些BUG
* 修改窗口大小策略
* 统一requirements版本
* 修改luna树形结构, 从根开始展示
* 修改luna树形搜索
* 修改初始窗口大小不对的bug
* 修改录像播放的部分bug

1.3.1
------------------------
2018年5月24日

* 用户授权节点逻辑更改
* 去掉window无用信息
* 修复节点创建bug
* 创建节点 从0开始, 新节点0 新节点1
* 修复拖动节点引起的父节点异常
* 资产树增加视图, 只显示本节点资产和显示子节点资产

1.3.0
------------------------
2018年5月2日

* 支持二次认证(Google Authenticator)
* 修复一些bug
* 优化第一次登录页面

1.2.0
------------------------
2018年4月13日

* sftp上传文件支持
* 支持sftp日志审计

1.1.1
------------------------
2018年4月6日

* 加强任务执行
* 支持查看各个任务的详细执行日志
* 支持实时查看任务执行输出

1.1.0
------------------------
2018年4月3日

* 支持混合云多网络环境
* 网域概念加入
* 网关概念加入
* rdp gateway概念加入
* 修复一些bug

1.0.0
------------------------
2018年3月15日

* Windows支持
* 容器化部署
* 资产树
* 录像/命令存储支持OSS/S3和ES
* 分布式部署
* 系统用户自动推送
* 标签管理
* 命令统计增加输出展示
* Web Terminal改进
* 系统设置
* LDAP支持

0.5.0beta
------------------------
2017年5月21日

* coco和luna功能拆分
* 系统设置支持
* 录像支持
* 作业中心优化
* 其它bug修复

0.4.0beta
---------------------------
2017年5月21日

* 使用最新版Python和Django开发  Python3.6.1, Django 1.11
* 使用完全使用 Django Class Base View开发
* 代码结构更加合理规整, 分组件开发
* 支持Restful API
* 拆分 Jumpserver, terminal, web termial为三个项目 Jumpserver, coco, luna。coco和luna为无状态的, 支持扩展
* 支持国际化, 英文+中文
* Ansible使用 2.1 版本
* 各组件功能都有所加强
* 支持登陆验证码
* 命令详细解析存储到数据库
* 登录记录审计
* 原来的手动推送用户改为自动推送
* 原来的connect脚本, 改为实现 ssh server, 统一了认证
* web terminal 无与伦比的漂亮
* 资产用户批量导入导出, 批量修改
* 界面更加优雅漂亮

0.3.3
------------------------
2016年12月14日

* 修改一些小bug

0.3.2
------------------------
2016年4月5日

* 模糊匹配支持
* 搜索排序问题
* 批量命令优化, ip获取

0.3.1
------------------------
2016年3月31日

* 优化ssh连接速度
* 优化web terminal窗口大小
* 修复录像播放白屏
* 优化命令匹配
* 优化安装脚本
* 优化Kill任务
* 修复监控卡住bug

0.3.0
------------------------
2015年12月20日

* 精确记录执行命令
* 新增文件上传下载
* 更改为输入ID登陆主机
* 增加主机搜索
* 执行命令使用ansible执行
* 优化脚本
* 增加web terminal
* 增加web端批量命令执行
* 增加录像回放
* 资产增加硬件信息抓取
* 资产增加Excel导出和导入
* 资产增加批量更改
* 在主机上授权系统用户(系统用户为一些通用用户, 如dev, dba等)
* 授权改为以授权规则为中心
* 添加系统用户推送
* 更改sudo管理
* 增加执行命令日志审计
* 增加文件上传命令审计
* 增加web端历史命令搜索

0.2.0
------------------------
2015年04月19日

* 使用paramiko原生ssh协议登录后端主机(原来版本使用pexpect模拟登录)
* 新增使用别名或备注登录
* 新增主机分组查看, 使用更方便
* 多线程批量执行命令
* 优化登录脚本
* Web界面更加美观漂亮
* 增加部门管理员负责管理本部门成员
* 增加仪表盘统计信息
* 增加部门, 用户组, 主机组
* 用户信息, 主机信息更加详细
* 主机登录方式增加登录方式 map, 用于登录不支持ldap的主机
* 主机授权, sudo授权改为组组之间授权
* 增加主机批量修改, 批量添加
* 添加用户自动生成随机密码, 然后自动发送邮件
* 添加各种搜索
* 增加普通用户web页面的授权申请
* 审计界面更加友好
* 主机添加过滤搜索功能
* 增加用户头像
* 上传批量上传
* 增加部门管理员页面
* 普通用户页面内容更加丰富

0.1.1
-----------------------
2014年11月14日

* 去掉shell脚本, 来添加用户
* 登录更稳定
* 新增Web控制sudo
* 新增Web查看统计日志
* 新增Web实时查看session屏幕
* 新增Web可以结束用户session
* 新增区分组管理员和超级管理员
* 新增web上传和下载文件
* 新增批量执行命令记录日志
* 新增上传下载记录日志
* 新增用户可以web修改密码
* 新增admin可以修改用户信息
* 新增IDC
* 支持分页
* admin可以下载用户key

0.1.0
----------------------
2014年8月15日

* 发布第一个版本
* bootstrap基本页面
* 用户管理
* 资产管理
* 授权资产给用户
* pexpect登录资产, 记录日志
* 服务器配置ldap, 集中认证
* 批量执行命令
